"""Helper functions for tests
"""

from random import choice

from earthsnake.types import ALPHA_LOWER, ALPHA_LOWER_OR_DIGIT

DEFAULT_IDENTITY_SEED = (
    b'\xe5:\xc9\x95$\x9d\xc5F\xee\xe6\x84\xbe\xcc\xda^\xc4'
    b'z\x84\xb7\xd2\x02q\xfa\xe8W\xd8z\x05E\xfb2\xd5'
)


def random_name() -> str:
    """Generate a valid random author name"""

    return choice(ALPHA_LOWER) + ''.join(choice(ALPHA_LOWER_OR_DIGIT) for _ in range(3))
